<template lang="pug">
.row.x-shifts-stats
  .col-12.col-xl-3.mb-1.order-xl-2(key='search')
    BaseCard(title='Shifts Statistics')
      li(key='0')
        .row.b-param-container
          OperYearSelector.col-12(ref='operYearSelect' :inEdit='true')
          BaseParamToggle.col-12(ref='performed'
            title="Only shifts performed" :inEdit='true' :value='false')
        .d-flex.justify-content-end.no-gutters.mt-1
          button(@click="openStatsByUser()").btn.btn-primary
            kbd.mr-2(v-if="showKeyHints && isStatsByUser") Ctrl+S
            | By User
          button(@click="openStatsByInstitute()").btn.btn-primary.ml-2
            kbd.mr-2(v-if="showKeyHints && !isStatsByUser") Ctrl+S
            | By Institute
  .col-12.col-xl-9(key='results')
    BaseAnimationBlock
      ShiftsStatsByUser(v-if="isStatsByUser" key='user' :year="year" :all="isAll")
      ShiftsStatsByInstitute(v-else key='institute' :year="year" :all="isAll")
</template>
<script src='./ShiftsStatistics.vue.js' />
